cascading.flow.planner.iso.transformer

## Class AnnotateGraphTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<E,E>
  - - cascading.flow.planner.iso.transformer.RecursiveGraphTransformer<ElementGraph>
    - - cascading.flow.planner.iso.transformer.AnnotateGraphTransformer

    public class AnnotateGraphTransformer
    extends RecursiveGraphTransformer<ElementGraph>

### Field Summary

Fields
`protected GraphTransformer` `graphTransformer`

### Fields inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

`DEFAULT_TRANSFORM_RECURSION_DEPTH_MAX, TRANSFORM_RECURSION_DEPTH_MAX`

### Constructor Summary

Constructors
Constructor and Description
`AnnotateGraphTransformer(ExpressionGraph match, ElementAnnotation annotation)`
`AnnotateGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph match, ElementAnnotation annotation)`

### Method Summary

Methods
`protected java.util.Set<FlowElement>` `addExclusions(ElementGraph graph)`
`protected ElementGraph` `prepareForMatch(ProcessLogger processLogger, Transformed<ElementGraph> transformed, ElementGraph graph)`
`protected boolean` `requiresRecursiveSearch()` By default, prepareForMatch returns the same graph, but sub-classes may return a sub-graph, one of many requiring sub-sequent matches.
`protected boolean` `transformGraphInPlaceUsing(Transformed<ElementGraph> transformed, ElementGraph graph, Match match)`

### Methods inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

`transform, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### graphTransformer

    protected final GraphTransformer graphTransformer

### Constructor Detail

#### AnnotateGraphTransformer

    public AnnotateGraphTransformer(ExpressionGraph match,
                            ElementAnnotation annotation)

#### AnnotateGraphTransformer

    public AnnotateGraphTransformer(GraphTransformer graphTransformer,
                            ExpressionGraph match,
                            ElementAnnotation annotation)

### Method Detail

#### requiresRecursiveSearch

    protected boolean requiresRecursiveSearch()

Description copied from class: `RecursiveGraphTransformer`
By default, prepareForMatch returns the same graph, but sub-classes may return a sub-graph, one of many requiring sub-sequent matches.

if we are searching the whole graph, there is no need to perform a recursion against the new transformed graph

Overrides:
  `requiresRecursiveSearch` in class `RecursiveGraphTransformer<ElementGraph>`

#### prepareForMatch

    protected ElementGraph prepareForMatch(ProcessLogger processLogger,
                               Transformed<ElementGraph> transformed,
                               ElementGraph graph)

Overrides:
  `prepareForMatch` in class `RecursiveGraphTransformer<ElementGraph>`

#### addExclusions

    protected java.util.Set<FlowElement> addExclusions(ElementGraph graph)

Overrides:
  `addExclusions` in class `RecursiveGraphTransformer<ElementGraph>`

#### transformGraphInPlaceUsing

    protected boolean transformGraphInPlaceUsing(Transformed<ElementGraph> transformed,
                                     ElementGraph graph,
                                     Match match)

Specified by:
  `transformGraphInPlaceUsing` in class `RecursiveGraphTransformer<ElementGraph>`